import { jsx as _jsx } from "react/jsx-runtime";
import { generateStorySampleDataForHeatmap } from '../dev-utils';
import { GlobalOverviewHeatMap } from '.';
import './index.css';
const Meta = {
    title: 'GlobalOverviewHeatMap',
    component: GlobalOverviewHeatMap,
    args: {
        data: generateStorySampleDataForHeatmap(2, 1),
        onTooltip: (d) => d,
        color: 'spectral',
        className: 'light',
    },
};
export default Meta;
const Template = (args) => (_jsx(GlobalOverviewHeatMap, { ...args, style: { height: '90vh', width: '100%', border: '1px solid black' } }));
export const Light = Template.bind({});
export const Dark = Template.bind({});
Dark.args = { className: 'dark' };
export const HSL = Template.bind({});
HSL.args = { color: 'hsl' };
export const HSLModified = Template.bind({});
HSLModified.args = { color: 'hslModified' };
export const Default = Template.bind({});
Default.args = { color: undefined };
//# sourceMappingURL=index.stories.js.map