import type { CalendarHeatmapDatum, BaseOverviewHeatmapProps } from '../utils';
export interface DayOverviewDatum {
    date: Date;
    col: number;
    hour: number;
    value: number;
}
interface DayOverviewData {
    dataArray: DayOverviewDatum[];
    valueExtent: [number, number];
}
export interface DayOverviewHeatmapProps extends BaseOverviewHeatmapProps<DayOverviewDatum> {
    data: CalendarHeatmapDatum;
    showXAxisLabels?: boolean;
    fetchDayData?: (dateTime: string) => Promise<CalendarHeatmapDatum['details']>;
}
export declare function createXAxisLabel(bin: number): string;
export declare function getDayData(data: CalendarHeatmapDatum): DayOverviewData;
export declare function generateYAxisLabels(): string[];
export {};
//# sourceMappingURL=utils.d.ts.map