import type { DayOverviewHeatmapProps } from '../DayOverviewHeatmap/utils';
import type { CalendarHeatmapDatum, Response } from '../utils';
import type { HTMLProps } from 'react';
export declare type DrilldownCalendarOverview = 'global' | 'year' | 'month' | 'day';
export interface DrilldownCalendarProps extends Omit<HTMLProps<HTMLDivElement>, 'data'> {
    data?: CalendarHeatmapDatum[];
    color?: string;
    overview?: DrilldownCalendarOverview;
    response?: Response;
    showDayXAxisLabels?: boolean;
    onTooltip?: (datum: {
        value: unknown;
    }) => void;
    onHideTooltip?: () => void;
    fetchGlobalData?: () => Promise<CalendarHeatmapDatum[]>;
    fetchDayData?: DayOverviewHeatmapProps['fetchDayData'];
}
//# sourceMappingURL=utils.d.ts.map