import type { CalendarHeatmapDatum, Margin, BaseOverviewHeatmapProps } from '../utils';
import type { ScaleBand } from 'd3';
export interface GlobalOverviewDatum {
    year: number;
    total: number;
}
interface GlobalOverviewData {
    dataArray: GlobalOverviewDatum[];
    yearExtent: [number, number];
    totalExtent: [number, number];
}
export interface GlobalOverviewHeatmapProps extends BaseOverviewHeatmapProps<GlobalOverviewDatum> {
    data: CalendarHeatmapDatum[];
}
export declare function getGlobalHeatmapCellDimensions(element: HTMLDivElement, xScale: ScaleBand<string>, margin: Margin): [number, number];
export declare function getGlobalData(data: CalendarHeatmapDatum[]): GlobalOverviewData;
export {};
//# sourceMappingURL=utils.d.ts.map