import type { CalendarHeatmapDatum, BaseOverviewHeatmapProps } from '../utils';
export interface MonthOverviewDatum {
    day: number;
    week: number;
    total: number;
    date: Date;
}
interface MonthOverviewData {
    dataArray: MonthOverviewDatum[];
    totalExtent: [number, number];
}
export interface MonthOverviewHeatmapProps extends BaseOverviewHeatmapProps<MonthOverviewDatum> {
    data: CalendarHeatmapDatum[];
}
export declare function getWeekLabel(week: number): string;
export declare function getMonthData(data: CalendarHeatmapDatum[]): MonthOverviewData;
export {};
//# sourceMappingURL=utils.d.ts.map